## callcommander.spec.in
##
##    The CallCommander Call Management System
##    Copyright (C) 2002-2005 Fred Gleason <fredg@paravelsystems.com>
##
##    This program is free software; you can redistribute it and/or modify
##    it under the terms of version 2 of the GNU General Public License as
##    published by the Free Software Foundation;
##
##    This program is distributed in the hope that it will be useful,
##    but WITHOUT ANY WARRANTY; without even the implied warranty of
##    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
##    GNU General Public License for more details.
##
##    You should have received a copy of the GNU General Public License
##    along with this program; if not, write to the Free Software
##    Foundation, Inc., 59 Temple Place, Suite 330, 
##    Boston, MA  02111-1307  USA
##

Summary: Call screener system for professional talk radio environments.
Name: callcommander
Version: 2.1.4
Release: 1
License: GPL
Group: Hardware/Other
Source: ftp://ftp.salemradiolabs.com/pub/srlabs/callcommander/callcommander-2.1.4.tar.gz
BuildRoot: /var/tmp/callcommander-2.1.4
Requires: qt4-mysql

%description
Call Commander is a high performance call management and screener system 
targeted for use in professional talk radio environments.  It supports a 
variety of popular broadcast telephone systems, and features a comfortable,
graphical control interface that is also highly configurable.

%package audio
Summary: The Audio Call Skimmer Component for CallCommander 
Group: Hardware/Other
Requires: callcommander

%description audio
The Audio Call Skimmer is an audio recorder that can be configured to
automatically capture caller audio.

%package devel
Summary: Sample source code for CallCommander Logic Modules 
Group: Hardware/Other
Requires: callcommander

%description devel
This package contains sample source code and Makefiles for building
CallCommander Logic Module plugins.

%prep
%setup
./configure --prefix=/usr 

%build
make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/lib64
cp libp/.libs/libml-2.1.4.so $RPM_BUILD_ROOT/usr/lib64/
ln -s /usr/lib64/libml-2.1.4.so $RPM_BUILD_ROOT/usr/lib64/libml.so
cp libp/.libs/libml.a $RPM_BUILD_ROOT/usr/lib64/
cp libp/.libs/libml.la $RPM_BUILD_ROOT/usr/lib64/
cp mlhpi/.libs/libmlhpi-2.1.4.so $RPM_BUILD_ROOT/usr/lib64/
ln -s /usr/lib64/libmlhpi-2.1.4.so $RPM_BUILD_ROOT/usr/lib64/libmlhpi.so
cp mlhpi/.libs/libmlhpi.a $RPM_BUILD_ROOT/usr/lib64/
cp mlhpi/.libs/libmlhpi.la $RPM_BUILD_ROOT/usr/lib64/
mkdir -p $RPM_BUILD_ROOT/usr/bin
cp ml/.libs/ml $RPM_BUILD_ROOT/usr/bin/
cp mdbadmin/.libs/mdbadmin $RPM_BUILD_ROOT/usr/bin/
cp mcallman/.libs/mcallman $RPM_BUILD_ROOT/usr/bin/
cp mcs/.libs/mskimmer $RPM_BUILD_ROOT/usr/bin/
mkdir -p $RPM_BUILD_ROOT/usr/sbin
cp mld/.libs/mld $RPM_BUILD_ROOT/usr/sbin/
cp mcidmd/.libs/mcidmd $RPM_BUILD_ROOT/usr/sbin/
cp mlmh/.libs/mlmh $RPM_BUILD_ROOT/usr/sbin/
cp mlmld/.libs/mlmld $RPM_BUILD_ROOT/usr/sbin/
cp scripts/twinkle_hybrid.sh $RPM_BUILD_ROOT/usr/sbin/
cp scripts/twinkle_answer.sh $RPM_BUILD_ROOT/usr/sbin/
cp scripts/twinkle_call.sh $RPM_BUILD_ROOT/usr/sbin/
mkdir -p $RPM_BUILD_ROOT/usr/include/mlm
cp mlm/mlm.h $RPM_BUILD_ROOT/usr/include/mlm/
mkdir -p $RPM_BUILD_ROOT/usr/src/mlm
cp mlm/mlm_test.c $RPM_BUILD_ROOT/usr/src/mlm
cp mlm/mlm_dump_calls.c $RPM_BUILD_ROOT/usr/src/mlm/
cp mlm/mlm_remora.c $RPM_BUILD_ROOT/usr/src/mlm/
cp mlm/mlm_airtools.c $RPM_BUILD_ROOT/usr/src/mlm/
cp mlm/mlm_udpdelay.c $RPM_BUILD_ROOT/usr/src/mlm/
cp mlm/mlm_cunctator.c $RPM_BUILD_ROOT/usr/src/mlm/
cp mlm/Makefile-example $RPM_BUILD_ROOT/usr/src/mlm/
mkdir -p $RPM_BUILD_ROOT/usr/share/man/man1
cp docs/callcommander.1 $RPM_BUILD_ROOT/usr/share/man/man1/
cp docs/ml.1 $RPM_BUILD_ROOT/usr/share/man/man1/
cp docs/mskimmer.1 $RPM_BUILD_ROOT/usr/share/man/man1/
mkdir -p $RPM_BUILD_ROOT/usr/share/man/man5
cp docs/ml.conf.5 $RPM_BUILD_ROOT/usr/share/man/man5/
cp docs/mld.conf.5 $RPM_BUILD_ROOT/usr/share/man/man5/
mkdir -p $RPM_BUILD_ROOT/usr/share/man/man8
cp docs/mcidmd.8 $RPM_BUILD_ROOT/usr/share/man/man8/
cp docs/mld.8 $RPM_BUILD_ROOT/usr/share/man/man8/
mkdir -p $RPM_BUILD_ROOT/etc/mlm

mkdir -p $RPM_BUILD_ROOT/etc/init.d
cp rc.mcidmd $RPM_BUILD_ROOT/etc/init.d/mcidmd
cp rc.mld $RPM_BUILD_ROOT/etc/init.d/mld
cp rc.mlmld $RPM_BUILD_ROOT/etc/init.d/mlmld
mkdir -p $RPM_BUILD_ROOT/usr/lib64/mlm
cp mlm/mlm_test.mlm $RPM_BUILD_ROOT/usr/lib64/mlm
cp mlm/mlm_dump_calls.mlm $RPM_BUILD_ROOT/usr/lib64/mlm
cp mlm/mlm_remora.mlm $RPM_BUILD_ROOT/usr/lib64/mlm
cp mlm/mlm_airtools.mlm $RPM_BUILD_ROOT/usr/lib64/mlm
cp mlm/mlm_udpdelay.mlm $RPM_BUILD_ROOT/usr/lib64/mlm
cp mlm/mlm_cunctator.mlm $RPM_BUILD_ROOT/usr/lib64/mlm
mkdir -p $RPM_BUILD_ROOT/usr/share/callcommander
cp scripts/twinkle.sys $RPM_BUILD_ROOT/usr/share/callcommander/
cp scripts/twinkle.cfg $RPM_BUILD_ROOT/usr/share/callcommander/
mkdir -p $RPM_BUILD_ROOT/usr/share/icons/hicolor/16x16/apps
cp icons/callcommander-16x16.png $RPM_BUILD_ROOT/usr/share/icons/hicolor/16x16/apps/callcommander.png
mkdir -p $RPM_BUILD_ROOT/usr/share/icons/hicolor/22x22/apps
cp icons/callcommander-22x22.png $RPM_BUILD_ROOT/usr/share/icons/hicolor/22x22/apps/callcommander.png
mkdir -p $RPM_BUILD_ROOT/usr/share/icons/hicolor/32x32/apps
cp icons/callcommander-32x32.png $RPM_BUILD_ROOT/usr/share/icons/hicolor/32x32/apps/callcommander.png
mkdir -p $RPM_BUILD_ROOT/usr/share/icons/hicolor/48x48/apps
cp icons/callcommander-48x48.png $RPM_BUILD_ROOT/usr/share/icons/hicolor/48x48/apps/callcommander.png
mkdir -p $RPM_BUILD_ROOT/usr/share/X11/fvwm2/pixmaps
cp icons/callcommander-16x16.xpm $RPM_BUILD_ROOT/usr/share/X11/fvwm2/pixmaps/mini.callcommander.xpm
cp icons/callcommander-32x32.xpm $RPM_BUILD_ROOT/usr/share/X11/fvwm2/pixmaps/callcommander.xpm
mkdir -p $RPM_BUILD_ROOT/usr/share/applications
mkdir -p $RPM_BUILD_ROOT/usr/share/applications
cp xdg/callcommander-ml.desktop $RPM_BUILD_ROOT/usr/share/applications/callcommander-ml.desktop
cp xdg/callcommander-mdbadmin.desktop $RPM_BUILD_ROOT/usr/share/applications/callcommander-mdbadmin.desktop
cp xdg/callcommander-mcallman.desktop $RPM_BUILD_ROOT/usr/share/applications/callcommander-mcallman.desktop
cp xdg/callcommander-mskimmer.desktop $RPM_BUILD_ROOT/usr/share/applications/callcommander-mskimmer.desktop
mkdir -p $RPM_BUILD_ROOT/usr/share/desktop-directories
cp xdg/callcommander-callcommander.directory $RPM_BUILD_ROOT/usr/share/desktop-directories/
mkdir -p $RPM_BUILD_ROOT/etc/xdg/menus/applications-merged
cp xdg/callcommander-callcommander.menu $RPM_BUILD_ROOT/etc/xdg/menus/applications-merged/
if test "" ; then
  mkdir -p $RPM_BUILD_ROOT/var/win32
  cp  $RPM_BUILD_ROOT/var/win32/
fi
if test "" ; then
  mkdir -p $RPM_BUILD_ROOT/var/osx
  cp  $RPM_BUILD_ROOT/var/osx/
fi

if test "yes" = "yes" ; then
  strip $RPM_BUILD_ROOT/usr/lib64/libml-2.1.4.so
  strip $RPM_BUILD_ROOT/usr/bin/ml
  strip $RPM_BUILD_ROOT/usr/bin/mdbadmin
  strip $RPM_BUILD_ROOT/usr/bin/mcallman
  strip $RPM_BUILD_ROOT/usr/sbin/mld
  strip $RPM_BUILD_ROOT/usr/sbin/mcidmd
  strip $RPM_BUILD_ROOT/usr/sbin/mlmh
  strip $RPM_BUILD_ROOT/usr/sbin/mlmld
fi

%post
ldconfig
if test "@DISTRO@" = "suse" ; then
  PACKAGE_DOC_DIR=%_docdir/%{name}
fi
if test "@DISTRO@" = "redhat" ; then
  PACKAGE_DOC_DIR=%_docdir/%{name}-2.1.4
fi
if test ! -e /etc/ml.conf ; then
  cp $PACKAGE_DOC_DIR/default.conf /etc/ml.conf
fi
if test ! -e /etc/mld.conf ; then
  cp $PACKAGE_DOC_DIR/mld.conf /etc/mld.conf
fi
if test ! -e /etc/mlm/mlm_airtools.conf ; then
  cp $PACKAGE_DOC_DIR/mlm_airtools.conf /etc/mlm/
fi
if test ! -e /etc/mlm/mlm_cunctator.conf ; then
  cp $PACKAGE_DOC_DIR/mlm_cunctator.conf /etc/mlm/
fi
if test ! -e /etc/mlm/mlm_remora.conf ; then
  cp $PACKAGE_DOC_DIR/mlm_remora.conf /etc/mlm/
fi
if test ! -e /etc/mlm/mlm_udpdelay.conf ; then
  cp $PACKAGE_DOC_DIR/mlm_udpdelay.conf /etc/mlm/
fi

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README 
%doc INSTALL 
%doc NEWS 
%doc AUTHORS 
%doc ChangeLog 
%doc COPYING 
%doc samples/encode_call
%doc samples/default.conf 
%doc samples/dks-screen.conf 
%doc samples/gallagher-host.conf 
%doc samples/jpa-host.conf 
%doc samples/jpa-screener.conf 
%doc samples/medved.conf
%doc samples/mld.conf
%doc samples/null.conf
%doc samples/ra.conf
%doc samples/swcons.conf
%doc samples/ts612.conf
%doc samples/srn_clock.conf
%doc samples/ra-auxprod.conf
%doc samples/four_banks.conf
%doc samples/segments.conf
%doc samples/small_clock.conf
%doc samples/chat.conf
%doc samples/mlm_airtools.conf
%doc samples/mlm_cunctator.conf
%doc samples/mlm_remora.conf
%doc samples/mlm_udpdelay.conf
%doc icons/callcommander-16x16.png
%doc icons/callcommander-22x22.png
%doc icons/callcommander-32x32.png
%doc icons/callcommander-48x48.png
/usr/lib64/libml-2.1.4.so
/usr/lib64/libml.so
/usr/lib64/libml.a
/usr/lib64/libml.la
/usr/bin/ml
/usr/bin/mdbadmin
/usr/bin/mcallman
/usr/sbin/mld
/usr/sbin/mcidmd
/usr/sbin/mlmh
/usr/sbin/mlmld
/usr/sbin/twinkle_hybrid.sh
/usr/sbin/twinkle_answer.sh
/usr/sbin/twinkle_call.sh
/usr/include/mlm/mlm.h
%attr(755,root,root) /etc/init.d/mld
%attr(755,root,root) /etc/init.d/mcidmd
%attr(755,root,root) /etc/init.d/mlmld
%attr(755,root,root) /etc/mlm
/usr/lib64/mlm/mlm_test.mlm
/usr/lib64/mlm/mlm_dump_calls.mlm
/usr/lib64/mlm/mlm_remora.mlm
/usr/lib64/mlm/mlm_airtools.mlm
/usr/lib64/mlm/mlm_udpdelay.mlm
/usr/lib64/mlm/mlm_cunctator.mlm
/usr/share/callcommander/twinkle.sys
/usr/share/callcommander/twinkle.cfg
/usr/share/man/man1/callcommander.1.gz
/usr/share/man/man1/ml.1.gz
/usr/share/man/man1/mskimmer.1.gz
/usr/share/man/man5/ml.conf.5.gz
/usr/share/man/man5/mld.conf.5.gz
/usr/share/man/man8/mld.8.gz
/usr/share/man/man8/mcidmd.8.gz
/usr/share/icons/hicolor/16x16/apps/callcommander.png
/usr/share/icons/hicolor/22x22/apps/callcommander.png
/usr/share/icons/hicolor/32x32/apps/callcommander.png
/usr/share/icons/hicolor/48x48/apps/callcommander.png
/usr/share/X11/fvwm2/pixmaps/mini.callcommander.xpm
/usr/share/X11/fvwm2/pixmaps/callcommander.xpm
/usr/share/applications/callcommander-ml.desktop
/usr/share/applications/callcommander-mdbadmin.desktop
/usr/share/applications/callcommander-mcallman.desktop
/usr/share/desktop-directories/callcommander-callcommander.directory
/etc/xdg/menus/applications-merged/callcommander-callcommander.menu



%files audio
/usr/lib64/libmlhpi-2.1.4.so
/usr/lib64/libmlhpi.so
/usr/lib64/libmlhpi.a
/usr/lib64/libmlhpi.la
/usr/bin/mskimmer
/usr/share/man/man1/mskimmer.1.gz
/usr/share/applications/callcommander-mskimmer.desktop

%files devel
/usr/src/mlm/mlm_test.c
/usr/src/mlm/mlm_dump_calls.c
/usr/src/mlm/mlm_remora.c
/usr/src/mlm/mlm_airtools.c
/usr/src/mlm/mlm_udpdelay.c
/usr/src/mlm/mlm_cunctator.c
/usr/src/mlm/Makefile-example

%changelog
* Tue Oct 25 2016 Fred Gleason <fredg@paravelsystems.com> - 2.1.4-1
-- Autogenerated from build tree.
